commit:     c0677bd04dc06ff907b752ab2facae42d06a339a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 15 08:12:58 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 15 08:19:05 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0677bd0

net-im/ekg2: Take 0.4_pre20190315 (f427d083) snapshot

Closes: https://bugs.gentoo.org/675054
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-im/ekg2/Manifest                    |   1 +
 net-im/ekg2/ekg2-0.4_pre20190315.ebuild | 110 ++++++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/net-im/ekg2/Manifest b/net-im/ekg2/Manifest
index e9fb749613a..dffbf70f378 100644
--- a/net-im/ekg2/Manifest
+++ b/net-im/ekg2/Manifest
@@ -1 +1,2 @@
 DIST ekg2-0.3.1.tar.gz 1704772 BLAKE2B 
2957d872f4d3697e36d495b54e5c39ec59c4865883b9523077ce607fc954268a0f2af07f14e4e217982abb2c1cbfdad423775631d6c22adfd2dbdc8f15895176
 SHA512 
dc107005f434f9e3011ff2be720b750b09c72fee1f9e1b47dfbf8af8eac1e27b24e028505a0d4928aedd1375a3245e93757410c742ff112ff5dac1e1a4f5a21c
+DIST ekg2-f427d083ee899d42532c046100490a915b0e8a82.tar.gz 1177484 BLAKE2B 
7bf6918a7f75738ac34eeae64ac53d3c90acd72795711c856206b79ca96c94b2ce397132ee31dfa8a9060d91d7b4b9aa23834596fca190dadf476660c6e5cd71
 SHA512 
ba28b66233290bd6c9b6a9602a5409c0fb2d847993bda638172da2f68430b5b5cf9bc0ff0d327983939fa0fd078bf6030069c60cd8bdd8449c349964b23e1f44

diff --git a/net-im/ekg2/ekg2-0.4_pre20190315.ebuild 
b/net-im/ekg2/ekg2-0.4_pre20190315.ebuild
new file mode 100644
index 00000000000..e6954bc0de6
--- /dev/null
+++ b/net-im/ekg2/ekg2-0.4_pre20190315.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+inherit autotools python-single-r1
+
+EGIT_COMMIT="f427d083ee899d42532c046100490a915b0e8a82"
+DESCRIPTION="Text-based, multi-protocol instant messenger"
+HOMEPAGE="https://github.com/ekg2/ekg2/";
+SRC_URI="https://github.com/ekg2/ekg2/archive/${EGIT_COMMIT}.tar.gz
+       -> ${PN}-${EGIT_COMMIT}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="gadu gpm gpg gtk minimal ncurses nls nntp openssl
+       perl python readline rss spell sqlite ssl xmpp unicode zlib"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="dev-libs/glib:2
+       gadu? ( <net-libs/libgadu-1.12:0= )
+       gpg? ( app-crypt/gpgme:1= )
+       gtk? ( x11-libs/gtk+:2 )
+       nls? ( virtual/libintl:0= )
+       openssl? ( dev-libs/openssl:0= )
+       perl? ( dev-lang/perl:0= )
+       python? ( ${PYTHON_DEPS} )
+       readline? ( sys-libs/readline:0= )
+       rss? ( dev-libs/expat:0= )
+       ssl? ( net-libs/gnutls:0= )
+       xmpp? ( dev-libs/expat:0= )
+       zlib? ( sys-libs/zlib:0= )
+
+       ncurses? ( sys-libs/ncurses:0=[unicode=]
+               gpm? ( sys-libs/gpm:0= )
+               spell? ( app-text/aspell:0= ) )
+       sqlite? ( dev-db/sqlite:3= )"
+
+DEPEND="${RDEPEND}
+       sys-devel/gettext"
+
+S=${WORKDIR}/${PN}-${EGIT_COMMIT}
+
+DOCS=(
+       AUTHORS README.md docs/README docs/TODO
+       docs/events.txt docs/mouse.txt docs/sim.txt docs/voip.txt
+       docs/themes.txt docs/themes-en.txt
+       docs/ui-ncurses.txt docs/ui-ncurses-en.txt
+)
+
+pkg_pretend() {
+       if ! use gtk && ! use ncurses && ! use readline; then
+               ewarn 'ekg2 is being compiled without any frontend. You should 
consider'
+               ewarn 'enabling at least one of following USEflags:'
+               ewarn '  gtk, ncurses, readline.'
+       fi
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               # direct plugin references
+               $(use_enable gadu gg)
+               $(use_enable gpg)
+               $(use_enable gtk)
+               $(use_enable ncurses)
+               $(use_enable nntp)
+               $(use_enable openssl sim)
+               $(use_enable perl)
+               $(use_enable python)
+               $(use_enable readline)
+               $(use_enable rss)
+               $(use_enable sqlite logsqlite)
+               $(use_enable xmpp jabber)
+
+               $(use_enable !minimal autoresponder)
+               $(use_enable !minimal jogger)
+               $(use_enable !minimal mail)
+               $(use_enable !minimal polchat)
+               $(use_enable !minimal rivchat)
+               $(use_enable !minimal sms)
+
+               # sqlite switch
+               --with-sqlite3
+
+               # optional deps
+               $(use_with gpm)
+               # do not pass --with-inotify as it will fail if check fails
+               $(use_with spell aspell)
+               $(use_with ssl gnutls)
+               $(use_with zlib)
+
+               # other magic
+               $(use_enable nls)
+               --with-perl-module-build-flags='INSTALLDIRS=vendor'
+               --enable-fast-configure
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to